Subject: Re: [PATCH/RFC v3 07/16] Add a symlink 'git-remote-svn' in base dir.

From: Florian Achleitner <[email-masked]>
Date: Wed, 15 Aug 2012 11:20:34 +0200

On Tuesday 14 August 2012 13:46:43 Junio C Hamano wrote:
> Florian Achleitner <[email-masked]> writes:
> > Allow execution of git-remote-svn even if the binary
> > currently is located in contrib/svn-fe/.
> > 
> > Signed-off-by: Florian Achleitner <[email-masked]>
> > ---
> > 
> >  git-remote-svn |    1 +
> >  1 file changed, 1 insertion(+)
> >  create mode 120000 git-remote-svn
> > 
> > diff --git a/git-remote-svn b/git-remote-svn
> > new file mode 120000
> > index 0000000..d3b1c07
> > --- /dev/null
> > +++ b/git-remote-svn
> > @@ -0,0 +1 @@
> > +contrib/svn-fe/remote-svn
> > \ No newline at end of file
> 
> Please scratch my previous comment.  I thought you were adding an
> entry to .gitignore or something.
> 
> I'd rather not to see such a symbolic link that points at a build
> product in the source tree.  Making a symlink from the toplevel
> Makefile _after_ we built it in contrib/svn-fe/ (and removing it
> upon "make clean") is OK, though.

As with the makefile in contrib/svn-fe, this is just a hack. The toplevel 
Makefile doesn't seem to build contrib/* at all. I always need to call make 
explicitly in these subdirs.